Page MenuHomePhabricator

[GTWL] Epic: Advanced search in Wikipedia
Closed, InvalidPublic

Description

As a Wikipedia user I want to be able to perform advanced search in Wikipedia with various parameters such as subject area/category, exact wording, logical operators or/and/without for keywords, author, number of edits in the last month/year, number of visitors of the last month and lenghts of the article.

See
https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche/Top_20#Ein_erweitertes_Suchformular.2C_in_dem_diverse_Parameter_angegeben_werden_k.C3.B6nnen (in German).

Further details:

Effort:

Needs to be further discussed with: WMF, German Community

This is part of the Top 20 wishes of the German community

Event Timeline

KasiaWMDE raised the priority of this task from to Low.
KasiaWMDE updated the task description. (Show Details)
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 2 2015, 12:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
  • subject area/category

If I don't have a wrong understanding of "category", see https://www.mediawiki.org/wiki/Help:CirrusSearch#Filters_.28intitle:.2C_incategory:_and_linksto:.29

  • exact wording

See "Fuzzy search", "Phrase search and proximity" and "exact matches" on https://www.mediawiki.org/wiki/Help:CirrusSearch

  • logical operators or/and/without for keywords

"and" exists, "without" also by using a minus in front of the scope: https://www.mediawiki.org/wiki/Help:CirrusSearch

  • author

How is "author" defined? Search for Wikipedia articles that were ever edited by author ABC and/or author XYZ? Or "created" instead of "edited"? Curious what's the usecase and how common it is.

  • number of edits in the last month/year

Curious what's the usecase behind that specific request and how common it is.

  • number of visitors of the last month

Curious what's the usecase behind that specific request and how common it is.

  • lenghts of the article.

Is T11519: Search by page size close enough?

jeremyb-phone set Security to None.
jeremyb-phone added a subscriber: jeremyb.
KasiaWMDE renamed this task from Advanced search in Wikipedia to [GTWL] Epic: Advanced search in Wikipedia.Jun 18 2015, 4:32 PM
Deskana moved this task from Needs triage to Tracking on the Discovery board.Aug 7 2015, 11:18 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptAug 7 2015, 11:18 PM
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Sadads. · View Herald TranscriptSep 16 2015, 7:17 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 19 2016, 11:28 AM

@thiemowmde: In T145934 we created a Accordion already, similar to the one we need for the advanced search UI

debt added a subscriber: debt.Feb 14 2017, 8:36 PM

For posterity (and because I'm excited for this feature personally): A demo of this was shared at the recent Wikimedia Hacktathon in Vienna during the showcase on the last day. You can find a recording of the demo at the YouTube link below.

https://youtu.be/UQDSd9ewjSw?t=1h21m59s

Jytdog added a subscriber: Jytdog.Jul 13 2017, 9:15 PM

I just want to say that I fully support this. Related discussions that are kind of more about how search results are presented... here and links to phabs therein, namely T156493 and T23139 T40403 . Having the advanced search parameters contemplated here might be helpful towards wasting less time!

Also https://phabricator.wikimedia.org/T159403

See https://www.mediawiki.org/wiki/Talk:Wikimedia_Discovery#Search_prefix: for the background on that. Hoping that task might piggyback onto this one. This was originally implemented, almost overnight, when it was first requested, back in the day. But support was dropped when search was upgraded to a new platform.

jeblad added a subscriber: jeblad.Nov 22 2017, 11:06 AM
Lea_WMDE closed this task as Invalid.Mar 9 2018, 11:51 AM
Lea_WMDE added a subscriber: Lea_WMDE.

This ticket scopes a whole bunch of aspects around search:
An advancedSearch form that helps you use existing keywords

  • This is currently under development here: T143310

Enhancing the search

  • Look for a category: now possible with the keywords incategory and deepcategory
  • exact wording: now possible by "using quotation marks to define the exact wording"
  • logical operators for keywords: and is supported for many keywords, or is supported for simple searches
  • For more info about what is currently possible can be found on the help page of CirrusSearch

All other mentioned paramenters (author, number of edits, number of visitors, length of the article) as far as I know are currently not part of the search, but I also don't know of any plans to change that.

I will close this ticket, since as a bundle nobody is working on it, and since work on the advancedSearch form can be followed here: T143310: Implement a way to access keywords such as "incategory", "intitle" via the Search special page